URIAlignment (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class URIAlignment

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicAlignment
          fr.inrialpes.exmo.align.impl.URIAlignment

All Implemented Interfaces:
  Cloneable, Iterable<Cell>, Alignment, Visitable

Direct Known Subclasses:
  WSAlignment

    public class URIAlignment

extends BasicAlignment

Represents an ontology alignment relating entities identified by their URIs

Version:
  $Id: URIAlignment.java 1323 2010-03-10 10:54:28Z euzenat $
Author:
  Jérôme Euzenat

Field Summary

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`debug, extensions, hash1, hash2, level, namespaces, onto1, onto2, time, type`

Constructor Summary
`URIAlignment()`

Method Summary
`Cell` | `addAlignCell(Object ob1, Object ob2)`
`Cell` | `addAlignCell(Object ob1, Object ob2, String relation, double measure)` Cells are created and indexed at once
`Cell` | `addAlignCell(String id, Object ob1, Object ob2, Relation relation, double measure)` Cell methods
`Cell` | `createCell(String id, Object ob1, Object ob2, Relation relation, double measure)`
`URIAlignment` | `createNewAlignment(Object onto1, Object onto2)` Algebraic part This is to be improved by (TODO): - improving cell equivalence (maybe not dependent on the confidence...
`Cell` | `getAlignCell1(Object ob)` Cells are retrieved These primitives are deprecated.
`Cell` | `getAlignCell2(Object ob)` //@deprecated There is more than one cell about one object
`Set<Cell>` | `getAlignCells1(Object ob)` Cells are retrieved These primitives are deprecated.
`Set<Cell>` | `getAlignCells2(Object ob)`
`void` | `init(Object o1, Object o2)` Initialize the alignement before using it
`void` | `setOntology1(Object ontology)`
`void` | `setOntology2(Object ontology)`
`URIAlignment` | `toURIAlignment()` Returns default exception for conversion to URIAlignments

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`accept, addAlignCell, addCell, cleanUp, clone, compose, cut, cut, cut2, diff, dump, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getArrayElements, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology1URI, getOntology2, getOntology2URI, getOntologyObject1, getOntologyObject2, getParameters, getType, getXNamespace, getXNamespaces, harden, ingest, init, inverse, iterator, join, meet, nbCells, remCell, removeAlignCell, render, setExtension, setExtensions, setFile1, setFile2, setLevel, setType, setXNamespace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIAlignment

    public URIAlignment()

Method Detail

### init

    public void init(Object o1,
                     Object o2)
              throws AlignmentException

  Description copied from interface: `Alignment`
  Initialize the alignement before using it

  Specified by:
    `init` in interface `Alignment`
  Overrides:
    `init` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### setOntology1

    public void setOntology1(Object ontology)
                      throws AlignmentException

  Specified by:
    `setOntology1` in interface `Alignment`
  Overrides:
    `setOntology1` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### setOntology2

    public void setOntology2(Object ontology)
                      throws AlignmentException

  Specified by:
    `setOntology2` in interface `Alignment`
  Overrides:
    `setOntology2` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### addAlignCell

    public Cell addAlignCell(String id,
                             Object ob1,
                             Object ob2,
                             Relation relation,
                             double measure)
                      throws AlignmentException

  Cell methods

  Overrides:
    `addAlignCell` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### addAlignCell

    public Cell addAlignCell(Object ob1,
                             Object ob2,
                             String relation,
                             double measure)
                      throws AlignmentException

  Description copied from interface: `Alignment`
  Cells are created and indexed at once

  Specified by:
    `addAlignCell` in interface `Alignment`
  Overrides:
    `addAlignCell` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### addAlignCell

    public Cell addAlignCell(Object ob1,
                             Object ob2)
                      throws AlignmentException

  Specified by:
    `addAlignCell` in interface `Alignment`
  Overrides:
    `addAlignCell` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### createCell

    public Cell createCell(String id,
                           Object ob1,
                           Object ob2,
                           Relation relation,
                           double measure)
                    throws AlignmentException

  Overrides:
    `createCell` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### getAlignCells1

    public Set<Cell> getAlignCells1(Object ob)
                             throws AlignmentException

  Description copied from interface: `Alignment`
  Cells are retrieved These primitives are deprecated. Use getAlignCells1 and getAlignCells2 instead. Reason: this applies only for 1:1 alignments Some implementations might act cleverly (retrieving the best value). Basic implementations may raise the exception

  Specified by:
    `getAlignCells1` in interface `Alignment`
  Overrides:
    `getAlignCells1` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### getAlignCells2

    public Set<Cell> getAlignCells2(Object ob)
                             throws AlignmentException

  Specified by:
    `getAlignCells2` in interface `Alignment`
  Overrides:
    `getAlignCells2` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### getAlignCell1

    public Cell getAlignCell1(Object ob)
                       throws AlignmentException

  Description copied from interface: `Alignment`
  Cells are retrieved These primitives are deprecated. Use getAlignCells1 and getAlignCells2 instead. Reason: this applies only for 1:1 alignments Some implementations might act cleverly (retrieving the best value). Basic implementations may raise the exception //@deprecated There is more than one cell about one object

  Specified by:
    `getAlignCell1` in interface `Alignment`
  Overrides:
    `getAlignCell1` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### getAlignCell2

    public Cell getAlignCell2(Object ob)
                       throws AlignmentException

  Description copied from interface: `Alignment`
  //@deprecated There is more than one cell about one object

  Specified by:
    `getAlignCell2` in interface `Alignment`
  Overrides:
    `getAlignCell2` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### toURIAlignment

    public URIAlignment toURIAlignment()
                                throws AlignmentException

  Returns default exception for conversion to URIAlignments

  Overrides:
    `toURIAlignment` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### createNewAlignment

    public URIAlignment createNewAlignment(Object onto1,
                                           Object onto2)
                                    throws AlignmentException

  Description copied from class: `BasicAlignment`
  Algebraic part This is to be improved by (TODO): - improving cell equivalence (maybe not dependent on the confidence... and grounding it on abstract data types) - using algebraic meet and join for relations and confidences (the type of relation used can be declared in the alignment) - check compatibility and setup for type and level - conserve extensions if necessary

  Overrides:
    `createNewAlignment` in class `BasicAlignment`
  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010